PoolProperties.InterceptorProperty (Apache Tomcat 9.0.71 API Documentation)

Package org.apache.tomcat.jdbc.pool

## Class PoolProperties.InterceptorProperty

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.PoolProperties.InterceptorProperty

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    PoolProperties

      public static class PoolProperties.InterceptorProperty
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InterceptorProperty​(java.lang.String name, java.lang.String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getValue()` |
    `boolean` | `getValueAsBoolean​(boolean def)` |
    `byte` | `getValueAsByte​(byte def)` |
    `char` | `getValueAschar​(char def)` |
    `double` | `getValueAsDouble​(double def)` |
    `float` | `getValueAsFloat​(float def)` |
    `int` | `getValueAsInt​(int def)` |
    `long` | `getValueAsLong​(long def)` |
    `short` | `getValueAsShort​(short def)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterceptorProperty

          public InterceptorProperty​(java.lang.String name,
                                     java.lang.String value)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getValue

          public java.lang.String getValue()

    - #### getValueAsBoolean

          public boolean getValueAsBoolean​(boolean def)

    - #### getValueAsInt

          public int getValueAsInt​(int def)

    - #### getValueAsLong

          public long getValueAsLong​(long def)

    - #### getValueAsByte

          public byte getValueAsByte​(byte def)

    - #### getValueAsShort

          public short getValueAsShort​(short def)

    - #### getValueAsFloat

          public float getValueAsFloat​(float def)

    - #### getValueAsDouble

          public double getValueAsDouble​(double def)

    - #### getValueAschar

          public char getValueAschar​(char def)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`